# List all credit card payment methods of an account This REST API reference describes how to retrieve all credit card information for the specified customer account. ### Notes The response includes details of credit or debit cards for the specified customer account. Card numbers are masked. For example: 1234 Though you can also send requests for bank transfer, ACH, or other supported payment methods, the response will not include effective details of these payment methods. Endpoint: GET /v1/payment-methods/credit-cards/accounts/{account-key} Version: 2025-12-17 ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Authorization` (string) The value is in the Bearer {token} format where {token} is a valid OAuth token generated by calling Create an OAuth token. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you do not need to set this header. ## Query parameters: - `page` (integer) The index number of the page that you want to retrieve. This parameter is dependent on pageSize. You must set pageSize before specifying page. For example, if you set pageSize to 20 and page to 2, the 21st to 40th records are returned in the response. - `pageSize` (integer) The number of records returned per page in the response. ## Path parameters: - `account-key` (string, required) Account number or account ID. ## Response 200 fields (application/json): - `creditCards` (array) Container for one or more credit or debit card records: - `creditCards.cardHolderInfo` (object) Container for the name and billing address for the card holder. - `creditCards.cardHolderInfo.addressLine1` (string) First address line, 255 characters or less. - `creditCards.cardHolderInfo.addressLine2` (string) Second address line, 255 characters or less. - `creditCards.cardHolderInfo.cardHolderName` (string) The full name as it appears on the card, e.g., "John J Smith", 50 characters or less. - `creditCards.cardHolderInfo.city` (string) City, 40 characters or less. - `creditCards.cardHolderInfo.country` (string) Country, must be a valid country name or abbreviation. When creating a payment method through a translated UI or Payment Page, a country name in a translated language might be selected. Regardless of the country texts selected when creating the payment method, only the country name listed in [Country Names and Their ISO Standard 2- and 3-Digit Codes](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/D_Country%2C_State%2C_and_Province_Codes/A_Country_Names_and_Their_ISO_Codes) returns in this field. Internationalization is not supported for the API field value. - `creditCards.cardHolderInfo.email` (string) Card holder's email address, 80 characters or less. - `creditCards.cardHolderInfo.phone` (string) Phone number, 40 characters or less. - `creditCards.cardHolderInfo.state` (string) State, must be a valid state name or 2-character abbreviation. - `creditCards.cardHolderInfo.zipCode` (string) Zip code, 20 characters or less. - `creditCards.cardNumber` (string) Credit or debit card number, 16 characters or less, masked for security purposes. - `creditCards.cardType` (string) The type of the credit card. Possible values include Visa, MasterCard, AmericanExpress, Discover, JCB, and Diners. For more information about credit card types supported by different payment gateways, see [Supported Payment Gateways](https://knowledgecenter.zuora.com/CB_Billing/M_Payment_Gateways/Supported_Payment_Gateways). - `creditCards.defaultPaymentMethod` (boolean) Contains true if this is the default payment method for this customer, otherwise false. - `creditCards.expirationMonth` (integer) One or two digit(s) expiration month (1-12). - `creditCards.expirationYear` (integer) Four-digit expiration year. - `creditCards.id` (string) Unique ID generated by Zuora when this payment method was created. - `nextPage` (string) URL to retrieve the next page of the response if it exists; otherwise absent. - `success` (boolean) Returns true if the request was processed successfully.